### Hierarchy

- WalletManager

### Implemented by

- WalletManagerImpl

## Index

### Methods

- addWealthValidator
- createCryptoWalletsData
- getWalletValidator

## Methods

### addWealthValidator

- addWealthValidator(validatorPbKey: string): Promise<void>

- - Defined in manager/WalletManager.ts:10

  #### Parameters

  - ##### validatorPbKey: string

  #### Returns Promise<void>

### createCryptoWalletsData

- createCryptoWalletsData(wallets: CryptoWallets): Promise<CryptoWalletsData>

- - Defined in manager/WalletManager.ts:6

  #### Parameters

  - ##### wallets: CryptoWallets

  #### Returns Promise<CryptoWalletsData>

### getWalletValidator

- getWalletValidator(): WalletValidator<CryptoWallet, SupportSignedMessageData<CryptoWallet>>

- - Defined in manager/WalletManager.ts:8

  #### Returns WalletValidator<CryptoWallet, SupportSignedMessageData<CryptoWallet>>

Generated using TypeDoc